Versions de PHP sur l’hébergement mutualisé Icodia

Sur notre plateforme mutualisée, vous avez le choix de votre version de php :

PHP 5.2.x, PHP 5.3.x, PHP 5.4, PHP 5.6, PHP 7.1

  1. Comment vérifier la version de PHP activée sur mon hébergement ?
  2. Comment modifier la version de PHP utilisée sur mon hébergement et vérifier la compatibilité de mon site ?

1. Comment vérifier la version de PHP activée sur mon hébergement ?

  • Connectez-vous sur votre interface Icoadmin
  • Rendez-vous dans l’onglet du menu « Gestion de vos paramètres et outils » gestionparamsoutils
  • Dans l’onglet « Paramètres et outils », vérifiez la version de PHP utilisée sur votre hébergement :

 

2. Comment modifier la version de PHP de votre hébergement
et vérifier si mon site est bien compatible avec cette version de PHP ?

  • Connectez-vous sur votre interface Icoadmin
  • Rendez-vous dans l’onglet du menu « Gestion de vos paramètres et outils »

Au préalable :
notez bien la version de PHP utilisée actuellement par votre site (voir étape 1) : En cas d’incompatibilité de votre site avec la nouvelle version de PHP, vous pourrez sans souci repasser sur la version utilisée initialement.

2.1. Étape 1 : modifier la version de PHP

  • Dans la section « Hebergement » :
    • Séléctionnez la version de PHP que vous souhaitez appliquer à votre hébergement
    • Validez pour appliquer la modification

2.2. Étape 2 : vérifier si votre site est bien compatible avec cette version de PHP

Une fois cette opération effectuée, rendez-vous sur votre site afin de vérifier s’il est toujours fonctionnel :

Testez l’intégralités des fonctionnalités de ce dernier, ainsi que l’ensemble de ses pages :

  • en mode visiteur
  • en vous connectant à votre interface d’administration

=>  Si l’ensemble du site fonctionne correctement :

  • Vous pouvez rester sur cette version de PHP

=> Si vous constatez des dysfonctionnements sur votre site :

  • Votre site utilise probablement des fonctions de PHP qui ne sont pas compatibles avec la nouvelle version de PHP.
  • Il vous faut alors mettre à jour votre site et remplacer les fonctions dépréciées que ce dernier utilise par des fonctions supportées par la nouvelle version.

Note : en attendant que les correctifs soient appliqués sur votre site, vous pouvez faire la manipulation inverse et repasser votre version de PHP

1.3. Vous n’êtes pas en mesure de le faire par vous-même ?

Contactez le prestataire qui a développé votre site ou à défaut, notre service développement ou notre service commercial, nous étudierons avec vous les possibilités d’adaptation de votre site ou d’autres solutions sur-mesure.